function detectEmailRedundancy(values) {
  if (values.email) {
    return values["email-github"] && values["email-npm"] ? "--email should not be specified if both --email-github and --email-npm are specified." : void 0;
  }
  if (values["email-github"] && !values["email-npm"]) {
    return "If --email-github is specified, either --email or --email-npm should be.";
  }
  if (values["email-npm"] && !values["email-github"]) {
    return "If --email-npm is specified, either --email or --email-github should be.";
  }
  return void 0;
}
export {
  detectEmailRedundancy
};
//# sourceMappingURL=detectEmailRedundancy.js.map