import { Mode, PromptedOptions } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

interface PromptedMode {
    mode: Error | Mode | undefined;
    options?: PromptedOptions;
}
declare function promptForMode(auto: boolean, input: boolean | string | undefined): Promise<PromptedMode>;

export { type PromptedMode, promptForMode };
