const createJoshuaKGoldbergReplacement = (options) => [
  /JoshuaKGoldberg(?:\/(.+))?/g,
  (full, capture) => capture ? (
    // If this was a "JoshuaKGoldberg/..." repository link,
    // swap the owner if it's the repository being migrated.
    capture.startsWith(options.repository) ? `${options.owner}/${capture}` : full
  ) : (
    // Otherwise it's just "JoshuaKGoldberg" standalone,
    // so swap to the new owner.
    options.owner
  )
];
export {
  createJoshuaKGoldbergReplacement
};
//# sourceMappingURL=createJoshuaKGoldbergReplacement.js.map