import { Options } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

declare const endOfReadmeTemplateLine = "> \uD83D\uDC99 This package was templated with [`create-typescript-app`](https://github.com/JoshuaKGoldberg/create-typescript-app).";
declare const endOfReadmeNotice: string;
declare const endOfReadmeMatcher: RegExp;
declare function updateReadme(options: Pick<Options, "owner">): Promise<void>;

export { endOfReadmeMatcher, endOfReadmeNotice, endOfReadmeTemplateLine, updateReadme };
